#!/bin/bash

# uninstall logic for TSUK 1-Click 5.2.6.0 (Build:2)
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/TSUK 1-Click/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for TSUK 1-Click"
    touch "/Applications/TSUK 1-Click/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/TSUK 1-Click/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for TSUK 1-Click"
    sh "/Applications/TSUK 1-Click/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/TSUK 1-Click/bin/taskkill" "/Applications/TSUK 1-Click/BackupManager.app"
sh "/Applications/TSUK 1-Click/bin/taskkill" "/Applications/TSUK 1-Click/bin/BackupManager.app"
sh "/Applications/TSUK 1-Click/bin/taskkill" "/Applications/TSUK 1-Click/jvm/bin/java"
sh "/Applications/TSUK 1-Click/bin/taskkill" "/Applications/TSUK 1-Click/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/TSUK1-Click" ]; then
    echo "Remove Scheduler for TSUK 1-Click from service"
    rm -rf "/Library/StartupItems/TSUK1-Click"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/TSUK1-Click-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for TSUK 1-Click from service"
    rm -rf "/Library/StartupItems/TSUK1-Click-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/TSUK 1-Click" ]; then
        echo "Remove Desktop Link TSUK 1-Click from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/TSUK 1-Click"
        echo "Removed TSUK 1-Click Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove TSUK 1-Click
cd /
if [ -e "/Applications/TSUK 1-Click" ]; then
    echo "Remove TSUK 1-Click from Your Mac OS X"
    rm -rf "/Applications/TSUK 1-Click"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/acb.pkg" ]; then
    echo "Remove Mac OS X Receipt for acb.pkg (Path: /Library/Receipts/acb.pkg)"
    rm -rf "/Library/Receipts/acb.pkg"
fi
